AquaMapsObjectData
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps
Class AquaMapsObjectData

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.impl.engine.maps.AquaMapsObjectData

    public class AquaMapsObjectData

extends java.lang.Object

Constructor Summary
`AquaMapsObjectData(int submittedId, java.lang.String csq_str, int min, int max, java.lang.String csvFile, java.lang.String path, java.lang.String speciesList)`

Method Summary
`java.lang.String` | `getCsq_str()`
`java.lang.String` | `getCsvFile()`
`int` | `getMax()`
`int` | `getMin()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getSpeciesCSVList()`
`int` | `getSubmittedId()`
`void` | `setCsq_str(java.lang.String csq_str)`
`void` | `setCsvFile(java.lang.String csvFile)`
`void` | `setMax(int max)`
`void` | `setMin(int min)`
`void` | `setPath(java.lang.String path)`
`void` | `setSubmittedId(int submittedId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AquaMapsObjectData

    public AquaMapsObjectData(int submittedId,
                              java.lang.String csq_str,
                              int min,
                              int max,
                              java.lang.String csvFile,
                              java.lang.String path,
                              java.lang.String speciesList)

Method Detail

### getCsq_str

    public java.lang.String getCsq_str()

### setCsq_str

    public void setCsq_str(java.lang.String csq_str)

### getMin

    public int getMin()

### setMin

    public void setMin(int min)

### getMax

    public int getMax()

### setMax

    public void setMax(int max)

### getCsvFile

    public java.lang.String getCsvFile()

### setCsvFile

    public void setCsvFile(java.lang.String csvFile)

### getSubmittedId

    public int getSubmittedId()

### setSubmittedId

    public void setSubmittedId(int submittedId)

### setPath

    public void setPath(java.lang.String path)

### getPath

    public java.lang.String getPath()

### getSpeciesCSVList

    public java.lang.String getSpeciesCSVList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD